## dvi2ps 3.0a1

=== Makefile ===
# The following file and directory specifications may need changing at
# your site:
#
# BINAREA and DVI2LIB are relative to PREFIX
PREFIX=/usr/local
# where dvi2ps is installed
BINAREA=${PREFIX}/bin
#
# directory for dvi2ps: where the auxiliary files are installed
DVI2LIB=${PREFIX}/lib/dvi2ps
#
# name of default fontdesc file in your site
FONTDESC=fontdesc
#
DVI2PATH=.:${DVI2LIB}
#
# default paper type.
# (Letter, Legal, Tabloid, B4, B5, A5, A4, A3)
PAPERTYPE=A4
#
# default print area.
# If your printer does not have enough memory, change this variable to FALSE.
# (e.g. LaserWriter Plus)
LARGEAREA=TRUE
#
# default page order.
# If your printer's output is face up, change this variable to TRUE.
# (e.g. LaserWriter Plus)
PAGEREVERSE=FALSE
#
# resolution and mode of the printer (dpi)
RESOLUTION=600
MFMODE=canonex
#
# top margin and left margin (unit 1/72 inch)
TOPMARGIN=72
LEFTMARGIN=72
#
# VFlib (optional font formats)
FONTF = -DVFLIB
# comment out VFLIB and VFLIBINC, if -DFVLIB is not used
VFLIB = -L${PREFIX}/lib -lVFlib2 -lttf
VFLIBINC = -I${PREFIX}/include

# kpathsea
KPSELIB = -L${PREFIX}/lib -lkpathsea
KPSEINC = -I${PREFIX}/include -DKPATHSEA

#
CC=gcc
#
CCFLAGS = -g -O
#CCFLAGS = -O		# SUNOS 4.X etc ...
#CCFLAGS = -O -DPOSIX	# NetBSD FreeBSD (gcc 2.X), Linux
#CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
#CCFLAGS = -O -DANSI -DPOSIX -DSYSV -DSYSVIO	# Solaris 2.X (SUNWpro/bin/cc)
#CCFLAGS = -O -DSYSVIO		# Solaris 2.X (/usr/ucb/cc -- not recommended)
#CCFLAGS = -O -DPOSIX -DSYSV	# UXP/DS
#CCFLAGS = -O -DSYSV -DSYSVIO	# SysV systems
#CCFLAGS = -O -bsd	# NeXT
#CCFLAGS = -O -traditional -DPOSIX	# 386bsd (gcc 1.X)

# BSD-type install assumed
INSTALL=install

# You don't have to change the definition variables in the folllowing.
#
CFLAGS = ${CCFLAGS} ${FONTF} ${KPSEINC}
CNFCFLAGS = ${CFLAGS} -DDVI2PATH=\"${DVI2PATH}\" \
	    -DDVI2LIB=\"${DVI2LIB}\" -DFONTDESC=\"//${FONTDESC}\" \
	    -DRESOLUTION=${RESOLUTION} -DMFMODE=\"${MFMODE}\" \
	    -DPAGEREVERSE=${PAGEREVERSE}
DEVCFLAGS = ${CFLAGS} -DPAPERTYPE=${PAPERTYPE} -DLARGEAREA=${LARGEAREA}

FILES = README COPYRIGHT doc Makefile \
	dvi2.psdoc special.psdoc psifont.psdoc color.psdoc lib-dist tools \
	defs.h xxstdio.h global.h commands.h set.h dconv.h \
	virfont.h pkfont.h gffont.h pxlfont.h jxl4font.h \
	rastfont.h bifont.h funcfont.h \
	jsub.h emit.h \
	ps.h \
	dvi2.c dviconv.c dfdcom.c fontcom.c set.c rfset.c vfset.c \
	dconv.c run.c mag.c fontdesc.c scanfont.c \
	virfont.c vfdcom.c \
	pkfont.c gffont.c pxlfont.c jxl4font.c jxl4.c \
	rastfont.c \
	bifont.c type1font.c wlfont.c vflfont.c mmfont.c \
	compfont.c decompfont.c execfont.c \
	funcfont.c \
	kanji.c open.c io.c util.c \
	xxstdio.c \
	version.c \
	ps.c psrast.c psjxl4.c \
	psbi.c pstfm.c pstype1.c pswl.c psvfl.c \
	psspecial.c pscolor.c psifont.c psio.c

DVI2OBJS = dvi2.o dviconv.o dfdcom.o fontcom.o set.o rfset.o vfset.o \
	dconv.o run.o mag.o fontdesc.o scanfont.o \
	virfont.o vfdcom.o \
	pkfont.o gffont.o pxlfont.o jxl4font.o jxl4.o \
	rastfont.o \
	bifont.o type1font.o wlfont.o vflfont.o mmfont.o \
	compfont.o decompfont.o execfont.o \
	funcfont.o \
	kanji.o open.o io.o util.o \
	xxstdio.o \
	version.o
PSOBJS = ps.o psrast.o psjxl4.o \
	psbi.o pstfm.o pstype1.o pswl.o psvfl.o \
	psspecial.o pscolor.o psifont.o psio.o

DVI2HEADERS = ${DVI2LIB}/headers
HDR = lib/headers
PSHEADERS = ${HDR}/dvi2.ps ${HDR}/special.ps ${HDR}/psifont.ps ${HDR}/color.ps

all: dvi2ps ${PSHEADERS}

dvi2ps: ${DVI2OBJS} ${PSOBJS}
	${CC} -o $@ ${DVI2OBJS} ${PSOBJS} ${VFLIB} ${KPSELIB} -lm
dvi2.o: Makefile
	${CC} ${CNFCFLAGS} -c dvi2.c
ps.o: Makefile
	${CC} ${DEVCFLAGS} -c ps.c
# files that depend on ${FONTF}
vflfont.o: Makefile
psvfl.o: Makefile
	${CC} ${CFLAGS} ${VFLIBINC} -c psvfl.c

newlib: ${PSHEADERS} lib/dvi2.ps
	cp -pr lib-dist/* lib

install: install-dvi2ps install-header

install-dvi2ps: dvi2ps
	${INSTALL} -c -s -m 755 dvi2ps ${BINAREA}/dvi2ps

install-header: ${PSHEADERS} lib/dvi2.ps
	-mkdir ${DVI2LIB}
	cp -p ${PSHEADERS} ${DVI2HEADERS}
	cp -p lib/dvi2.ps ${DVI2LIB}
	chmod -R a+r ${DVI2HEADERS} ${DVI2LIB}/dvi2.ps

install-lib: ${PSHEADERS}
	-mkdir ${DVI2LIB}
	cp -pr lib/* ${DVI2LIB}
	chmod -R a+r ${DVI2LIB}

lib/dvi2.ps: ${HDR}/dvi2.ps ${HDR}/special.ps
	cat ${HDR}/dvi2.ps ${HDR}/special.ps > lib/dvi2.ps
${HDR}/dvi2.ps: dvi2.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < dvi2.psdoc | \
	sed -e s/'##XCOORD##'/${LEFTMARGIN}/ -e s/'##YCOORD##'/${TOPMARGIN}/ \
		> ${HDR}/dvi2.ps
${HDR}/special.ps: special.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < special.psdoc > ${HDR}/special.ps
${HDR}/psifont.ps: psifont.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < psifont.psdoc > ${HDR}/psifont.ps
${HDR}/color.ps: color.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < color.psdoc > ${HDR}/color.ps

install-MakePK:
	${INSTALL} -c -m 755 tools/MakePK ${BINAREA}/MakePK

install-lprdvi:
	sed -e s,'%%BINAREA%%',${BINAREA}, \
	    -e s,'%%FONTDESC%%',${FONTDESC}, \
	    -e s,'%%LEFTMARGIN%%',${LEFTMARGIN}, \
	    -e s,'%%TOPMARGIN%%',${TOPMARGIN}, \
		tools/lprdvi.templ > ${BINAREA}/lprdvi
	chmod 755 ${BINAREA}/lprdvi

clean:	
	rm -f dvi2ps *.o *.orig core

lint:
	lint *.c

dist:
	tar cf - ${FILES} | gzip > dvi2ps.tar.gz


dvi2.o: dconv.h defs.h
dviconv.o: dconv.h defs.h set.h
dfdcom.o: dconv.h defs.h
fontcom.o: defs.h set.h
set.o: defs.h set.h
rfset.o: defs.h set.h
vfset.o: defs.h set.h
dconv.o : dconv.h
run.o: defs.h
mag.o: defs.h
fontdesc.o: defs.h
scanfont.o: dconv.h defs.h set.h
virfont.o: defs.h set.h virfont.h
vfdcom.o: dconv.h defs.h
pkfont.o: defs.h rastfont.h pkfont.h
gffont.o: defs.h rastfont.h gffont.h
pxlfont.o: defs.h rastfont.h pxlfont.h
jxl4font.o: defs.h rastfont.h jxl4font.h
#jxl4.o: defs.h
rastfont.o: defs.h rastfont.h
bifont.o: defs.h bifont.h jsub.h
type1font.o: defs.h bifont.h
wlfont.o: defs.h bifont.h
vflfont.o: defs.h bifont.h Makefile
mmfont.o: defs.h bifont.h
compfont.o: defs.h set.h funcfont.h jsub.h
decompfont.o: defs.h set.h funcfont.h jsub.h
execfont.o: defs.h
funcfont.o: defs.h funcfont.h
kanji.o: defs.h jsub.h
open.o: defs.h
io.o: defs.h
#util.o: defs.h
xxstdio.o: defs.h xxstdio.h

ps.o: defs.h emit.h ps.h
psspecial.o: defs.h emit.h
psrast.o: defs.h emit.h rastfont.h ps.h
psjxl4.o: defs.h rastfont.h ps.h
psbi.o: defs.h emit.h bifont.h ps.h
pstfm.o: defs.h emit.h bifont.h ps.h
pstype1.o: defs.h
pswl.o: defs.h emit.h bifont.h ps.h
psvfl.o: defs.h emit.h bifont.h ps.h
psifont.o: defs.h emit.h ps.h
psio.o: defs.h emit.h ps.h
