## dvi2ps 3.2j

=== Makefile ===
--- 
+++ 
@@ -2,17 +2,22 @@
 # your site:
 #
 # BINAREA and DVI2LIB are relative to PREFIX
-PREFIX=/usr/local
+PREFIX=${DESTDIR}/usr/local
 # where dvi2ps is installed
 BINAREA=${PREFIX}/bin
 #
 # directory for dvi2ps: where the auxiliary files are installed
 DVI2LIB=${PREFIX}/lib/dvi2ps
 #
+# directory for man and doc
+MANAREA=${PREFIX}/man
+JMANAREA=${PREFIX}/man/ja
+DOCAREA=${PREFIX}/doc/dvi2ps
+#
 # name of default fontdesc file in your site
 FONTDESC=fontdesc
 #
-DVI2PATH=.:${DVI2LIB}
+DVI2PATH=.
 #
 # default paper type.
 # (Letter, Legal, Tabloid, B4, B5, A5, A4, A3)
@@ -36,10 +41,13 @@
 TOPMARGIN=72
 LEFTMARGIN=72
 #
-# VFlib (optional font formats)
-FONTF = -DVFLIB
-# comment out VFLIB and VFLIBINC, if -DFVLIB is not used
-VFLIB = -L${PREFIX}/lib -lVFlib2 -lttf
+# optional font formats: FreeType and VFlib
+FONTF = -DFREETYPE -DVFLIB
+# FREETYPE -- FTLIB, FTINC
+# VFLIB    -- FTLIB, FTINC, VFLIB, VFLIBINC
+FTLIB = -L${PREFIX}/lib -lttf
+FTINC = -I${PREFIX}/include/freetype
+VFLIB = -L${PREFIX}/lib -lVFlib2
 VFLIBINC = -I${PREFIX}/include
 
 # kpathsea
@@ -49,7 +57,7 @@
 #
 CC=gcc
 #
-CCFLAGS = -g -O
+CCFLAGS = -g -O -DPOSIX
 #CCFLAGS = -O		# SUNOS 4.X etc ...
 #CCFLAGS = -O -DPOSIX	# NetBSD FreeBSD (gcc 2.X), Linux
 #CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
@@ -65,6 +73,7 @@
 
 # You don't have to change the definition variables in the folllowing.
 #
+FONTLIB = ${VFLIB} ${FTLIB}
 CFLAGS = ${CCFLAGS} ${FONTF} ${KPSEINC}
 CNFCFLAGS = ${CFLAGS} -DDVI2PATH=\"${DVI2PATH}\" \
 	    -DDVI2LIB=\"${DVI2LIB}\" -DFONTDESC=\"//${FONTDESC}\" \
@@ -72,41 +81,42 @@
 	    -DPAGEREVERSE=${PAGEREVERSE}
 DEVCFLAGS = ${CFLAGS} -DPAPERTYPE=${PAPERTYPE} -DLARGEAREA=${LARGEAREA}
 
-FILES = README COPYRIGHT doc Makefile \
+FILES = README COPYRIGHT man doc Makefile \
 	dvi2.psdoc special.psdoc psifont.psdoc color.psdoc lib-dist tools \
 	defs.h xxstdio.h global.h commands.h set.h dconv.h \
-	virfont.h pkfont.h gffont.h pxlfont.h jxl4font.h \
-	rastfont.h bifont.h funcfont.h \
+	virfont.h pkfont.h gffont.h rastfont.h \
+	bifont.h funcfont.h \
 	jsub.h emit.h \
 	ps.h \
+	cscommands.h \
 	dvi2.c dviconv.c dfdcom.c fontcom.c set.c rfset.c vfset.c \
 	dconv.c run.c mag.c fontdesc.c scanfont.c \
 	virfont.c vfdcom.c \
-	pkfont.c gffont.c pxlfont.c jxl4font.c jxl4.c \
-	rastfont.c \
-	bifont.c type1font.c wlfont.c vflfont.c mmfont.c \
+	pkfont.c gffont.c rastfont.c \
+	bifont.c type1font.c wlfont.c ftfont.c vflfont.c mmfont.c \
 	compfont.c decompfont.c execfont.c \
 	funcfont.c \
-	kanji.c open.c io.c util.c \
+	kpse.c kanji.c open.c io.c util.c \
 	xxstdio.c \
 	version.c \
-	ps.c psrast.c psjxl4.c \
-	psbi.c pstfm.c pstype1.c pswl.c psvfl.c \
+	ps.c psrast.c \
+	psbi.c pstfm.c pstype1.c pswl.c psft.c psftt1.c psvfl.c \
+	pst1form.c \
 	psspecial.c pscolor.c psifont.c psio.c
 
 DVI2OBJS = dvi2.o dviconv.o dfdcom.o fontcom.o set.o rfset.o vfset.o \
 	dconv.o run.o mag.o fontdesc.o scanfont.o \
 	virfont.o vfdcom.o \
-	pkfont.o gffont.o pxlfont.o jxl4font.o jxl4.o \
-	rastfont.o \
-	bifont.o type1font.o wlfont.o vflfont.o mmfont.o \
+	pkfont.o gffont.o rastfont.o \
+	bifont.o type1font.o wlfont.o ftfont.o vflfont.o mmfont.o \
 	compfont.o decompfont.o execfont.o \
 	funcfont.o \
-	kanji.o open.o io.o util.o \
+	kpse.o kanji.o open.o io.o util.o \
 	xxstdio.o \
 	version.o
-PSOBJS = ps.o psrast.o psjxl4.o \
-	psbi.o pstfm.o pstype1.o pswl.o psvfl.o \
+PSOBJS = ps.o psrast.o \
+	psbi.o pstfm.o pstype1.o pswl.o psft.o psftt1.o psvfl.o \
+	pst1form.o \
 	psspecial.o pscolor.o psifont.o psio.o
 
 DVI2HEADERS = ${DVI2LIB}/headers
@@ -116,12 +126,18 @@
 all: dvi2ps ${PSHEADERS}
 
 dvi2ps: ${DVI2OBJS} ${PSOBJS}
-	${CC} -o $@ ${DVI2OBJS} ${PSOBJS} ${VFLIB} ${KPSELIB} -lm
+	${CC} -o $@ ${DVI2OBJS} ${PSOBJS} ${FONTLIB} ${KPSELIB} -lm
 dvi2.o: Makefile
 	${CC} ${CNFCFLAGS} -c dvi2.c
 ps.o: Makefile
 	${CC} ${DEVCFLAGS} -c ps.c
 # files that depend on ${FONTF}
+ftfont.o: Makefile
+	${CC} ${CFLAGS} ${FTINC} -c ftfont.c
+psft.o: Makefile
+	${CC} ${CFLAGS} ${FTINC} -c psft.c
+psftt1.o: Makefile
+	${CC} ${CFLAGS} ${FTINC} -c psftt1.c
 vflfont.o: Makefile
 psvfl.o: Makefile
 	${CC} ${CFLAGS} ${VFLIBINC} -c psvfl.c
@@ -136,6 +152,7 @@
 
 install-header: ${PSHEADERS} lib/dvi2.ps
 	-mkdir ${DVI2LIB}
+	-mkdir ${DVI2HEADERS}
 	cp -p ${PSHEADERS} ${DVI2HEADERS}
 	cp -p lib/dvi2.ps ${DVI2LIB}
 	chmod -R a+r ${DVI2HEADERS} ${DVI2LIB}/dvi2.ps
@@ -162,19 +179,32 @@
 	-mkdir lib ${HDR}
 	./tools/psstrip < color.psdoc > ${HDR}/color.ps
 
+install-man:
+	${INSTALL} -c -m 444 man/div2ps.1 ${MANAREA}/cat1/dvi2ps.1
+	${INSTALL} -c -m 444 man/div2ps.man ${MANAREA}/man1/dvi2ps.1
+	${INSTALL} -c -m 444 man/div2ps.1j ${JMANAREA}/cat1/dvi2ps.1
+	${INSTALL} -c -m 444 man/div2ps.jman ${JMANAREA}/man1/dvi2ps.1
+
+install-doc:
+	-mkdir ${DOCAREA}
+	${INSTALL} -c -m 444 doc/* ${DOCAREA}
+
 install-MakePK:
 	${INSTALL} -c -m 755 tools/MakePK ${BINAREA}/MakePK
 
-install-lprdvi:
+lprdvi:
 	sed -e s,'%%BINAREA%%',${BINAREA}, \
 	    -e s,'%%FONTDESC%%',${FONTDESC}, \
 	    -e s,'%%LEFTMARGIN%%',${LEFTMARGIN}, \
 	    -e s,'%%TOPMARGIN%%',${TOPMARGIN}, \
-		tools/lprdvi.templ > ${BINAREA}/lprdvi
-	chmod 755 ${BINAREA}/lprdvi
-
-clean:	
-	rm -f dvi2ps *.o *.orig core
+		tools/lprdvi.templ > lprdvi
+
+install-lprdvi: lprdvi
+	${INSTALL} -c -m 755 lprdvi ${BINAREA}/lprdvi
+
+clean:
+	rm -rf lib
+	rm -f dvi2ps lprdvi *.o *.orig core
 
 lint:
 	lint *.c
@@ -199,12 +229,10 @@
 vfdcom.o: dconv.h defs.h
 pkfont.o: defs.h rastfont.h pkfont.h
 gffont.o: defs.h rastfont.h gffont.h
-pxlfont.o: defs.h rastfont.h pxlfont.h
-jxl4font.o: defs.h rastfont.h jxl4font.h
-#jxl4.o: defs.h
 rastfont.o: defs.h rastfont.h
 bifont.o: defs.h bifont.h jsub.h
 type1font.o: defs.h bifont.h
+ftfont.o: defs.h bifont.h
 wlfont.o: defs.h bifont.h
 vflfont.o: defs.h bifont.h Makefile
 mmfont.o: defs.h bifont.h
@@ -212,6 +240,7 @@
 decompfont.o: defs.h set.h funcfont.h jsub.h
 execfont.o: defs.h
 funcfont.o: defs.h funcfont.h
+kpse.o: defs.h
 kanji.o: defs.h jsub.h
 open.o: defs.h
 io.o: defs.h
@@ -221,11 +250,13 @@
 ps.o: defs.h emit.h ps.h
 psspecial.o: defs.h emit.h
 psrast.o: defs.h emit.h rastfont.h ps.h
-psjxl4.o: defs.h rastfont.h ps.h
 psbi.o: defs.h emit.h bifont.h ps.h
 pstfm.o: defs.h emit.h bifont.h ps.h
 pstype1.o: defs.h
 pswl.o: defs.h emit.h bifont.h ps.h
+psft.o: defs.h emit.h bifont.h ps.h
+psftt1.o: defs.h emit.h
 psvfl.o: defs.h emit.h bifont.h ps.h
+pst1form.o: defs.h emit.h
 psifont.o: defs.h emit.h ps.h
 psio.o: defs.h emit.h ps.h
