## dvi2ps 5.1j

=== debian/changelog ===
dvi2ps (5.1j-3) unstable; urgency=medium

  * Improve wording of debconf templates (Closes: #311602).
  * Hand over generation of TeX {pre|post]{inst|rm} snippets to tex-common.
  * Add -std=gnu17 to CFLAGS (Closes: #1101293).
  * Lintian:
    - I: dvi2ps source: debian-watch-uses-insecure-uri
    - I: dvi2ps source: patch-not-forwarded-upstream
    - Override: package-contains-documentation-outside-usr-share-doc
    - Override: dvi2ps: possible-bashism-in-maintainer-script
    - I: dvi2ps source: quilt-patch-missing-description

 -- Hilmar Preuße <hille42@debian.org>  Sun, 07 Sep 2025 14:36:05 +0200

dvi2ps (5.1j-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Move package to Debian TeX maintainers
  * d/rules: short dh (closes: #436778)
  * Add Homepage
  * Add watch file
  * d/copyright: DEP5
  * Fix clean target
    Closes: #1044774
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 3.0a1-5.
  * debian/salsa-ci.yml: Do not check for blhc

  [ Shengqi Chen ]
  * Update patches and build flags to fix more FTBFS issues (closes: #1066362)
  * d/control:
    + update obsolete B-D name pkg-config to pkgconf
    + bump compact level to 13
    + remove obsolete Depends on tetex-bin, use texlive-base (closes: #1030072)
    + remove obsolete Breaks and Replaces that are not in the archive any more
    + bump std-ver to 4.7.2 (no changes required)
  * Remove hardcoded command path in maintainer scripts
  * d/rules: enable full hardening build flags
  * d/po: convert all remaining files to UTF-8

  [ Hilmar Preuße ]
  * Replace dep on "texlive-binaries" by "texlive-base".
    Add myself to Uploaders.

 -- Shengqi Chen <harry-chen@outlook.com>  Sat, 29 Mar 2025 07:26:52 +0100

dvi2ps (5.1j-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to debhelper-compat 10 (Closes: #965502).

 -- Bastian Germann <bage@debian.org>  Mon, 03 Oct 2022 09:32:23 +0000

dvi2ps (5.1j-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 10. (Closes: #957157)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 17:21:48 +0200

dvi2ps (5.1j-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use pkg-config to detect the freetype libraries (Closes: #887604).
  * Patch debian/rules to allow dvi2ps to cross-build from source:
    - Let dh_auto_configure pass --host to ./configure.
    - Let dh_auto_build pass cross-tools to debian/Makefile.tools.
    - Do not strip at install time.
    - Thanks to Helmut Grohne for supplying a patch (Closes: #901692).
  * debian/control:
    - Build-Depend on dh-autoreconf and pkg-config.
  * debian/po:
    - Add Italian translation by Beatrice Torracca (Closes: #659141).
    - Add LINGUAS file.
  * debian/rules:
    - Call dh_autoreconf and dh_autoreconf_clean during the 'configure' and
      'clean' targets respectively.
    - Allow dvi2ps to cross-build from source (see above for details).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 17 Feb 2019 23:29:43 +1100

dvi2ps (5.1j-1.2) unstable; urgency=medium

  * NMU
  * use autotools-dev to update config.{sub,guess} for new arches.
    Closes: #749012. Thanks to Logan Rosen for the patch.
  * Add simple debian build rules for build-arch and build-indep.

 -- Steve McIntyre <93sam@debian.org>  Tue, 14 Oct 2014 22:16:18 +0100

dvi2ps (5.1j-1.1) unstable; urgency=medium

  * Non-maintainer upload to fix FTBFS.
  * Add 09_freetype_header.patch, renaming freetype.h to dvi2ps_freetype.h
    to avoid collision with Freetype (Closes: #733394)

 -- Margarita Manterola <marga@debian.org>  Fri, 25 Apr 2014 19:32:54 +0200

dvi2ps (5.1j-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format.
    - Drop dpatch system.
  * 08_kpse_set_program_name.patch: Use kpse_set_progname instead of
  kpse_set_program_name (closes: #666293).
  * debian/rules: Regenerate dvi2ps-conf.h to change DVI2LIB variable.
  * 01_fix_FTBFS_on_kFreeBSD.dpatch, 02_include-kpathsea.h.dpatch,
    04_defs_h.dpatch: Delete unused patches.

 -- OHURA Makoto <ohura@debian.org>  Mon, 30 Apr 2012 20:34:14 +0900

vi2ps (4.1j-3) unstable; urgency=low

  * debian/patches/02_include-kpathsea.h.dpatch: New patch.  Include
    kpathsea/kpathsea.h for building with TeXLive 2009.
    (Closes: #562289, #565232, #568816)
  * debian/patches/02_include_c-auto.dpatch: Delete unused patch.
  * debian/patches/05_debian-patch.dpatch: Change the definition of
    the variable bk. (Closes: #571779)
  * debian/control:
    - Update Standards-Version.
    - Add Dependency on ${misc:Depends}.

 -- OHURA Makoto <ohura@debian.org>  Mon, 22 Mar 2010 15:09:07 +0900

dvi2ps (4.1j-2) unstable; urgency=low

  * debian/po/ru.po: Add Russian debconf templates. (Closes: #494862)

 -- OHURA Makoto <ohura@debian.org>  Wed, 17 Sep 2008 22:03:34 +0900

dvi2ps (4.1j-1) unstable; urgency=low

  * New upstream release
    - Build with freetype2. (Closes: #431783)
    - Sync patches with new upstream release.
  * debian/patches/05_makefile_paths.dpatch: New patch.  Set paths for
    Debian package.
  * debian/patches/07_vflib3.dpatch: New patch. Build with
    vflib3. (Closes: #366031)
  * debian/control:
    - Change Build-Dependecies for freetype2 and vflib3.
    - Update Updated Standards-Version.
  * debian/copyright: Update infomartion about pstt2t1.c.
  * debian/rules:
    - Update debhelper compatiblity to 5.
    - Don't ignore error at make clean.

 -- OHURA Makoto <ohura@debian.org>  Thu, 15 May 2008 23:33:24 +0900

dvi2ps (3.2j-16) unstable; urgency=low

  * debian/po/pt.po: Added Portuguese translation of debconf
    templates. (Closes: #414925).

 -- OHURA Makoto <ohura@debian.org>  Sun, 25 Mar 2007 21:42:13 +0900

dvi2ps (3.2j-15) unstable; urgency=high

  * Set urgency to high to fix RC bug.
  * debian/control:

