=== debian/control ===
Source: dvi2ps
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: OHURA Makoto <ohura@debian.org>,
           Hilmar Preuße <hille42@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 nkf,
 libkpathsea-dev,
 vflib3-dev,
 libfreetype-dev,
 pkgconf,
 po-debconf,
 tex-common
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/tex-team/dvi2ps
Vcs-Git: https://salsa.debian.org/tex-team/dvi2ps.git
Homepage: https://www.math.s.chiba-u.ac.jp/~sakurai/software.html

Package: dvi2ps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-base, debconf | debconf-2.0
Suggests: dvi2ps-fontdata-ja
Description: TeX DVI-driver for NTT JTeX, MulTeX and ASCII pTeX
 dvi2ps is another converter of DVI file to PostScript file.
 dvi2ps can handle dvi files of NTT JTeX, MulTeX and ASCII pTeX.
