=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=implicit-function-declaration -Wno-error=implicit-int
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Workaround for incompatibility to GCC 15.
export CFLAGS += -std=gnu17

PACKAGE=dvi2ps
ETCD=$(CURDIR)/debian/dvi2ps/etc/texmf/dvi2ps
TXMFD=$(CURDIR)/debian/dvi2ps/usr/share/texmf/dvi2ps

%:
	dh $@ --with tex

override_dh_auto_configure:
	dh_auto_configure -- --with-dvi2pslib=/usr/lib/dvi2ps
	cp -a dvi2ps-conf.h dvi2ps-conf.h.bak

override_dh_auto_build:
	-rm dvi2ps-conf.h
	$(MAKE) dvi2ps-conf.h
	dh_auto_build -- PREFIX=/usr MFMODE=ljfour \
		CFLAGS='$(CFLAGS) -DPOSIX -DSYSV -DANSI'
	dh_auto_build -- lprdvi newlib CFLAGS='$(CFLAGS) -DPOSIX -DSYSV -DANSI'
	dh_auto_build --buildsystem=makefile --sourcedirectory=tools -- -f ../debian/Makefile.tools

override_dh_auto_clean:
	-(cd tools ; $(MAKE) -f ../debian/Makefile.tools clean)
	if [ -e dvi2ps-conf.h.bak ] ; then mv dvi2ps-conf.h.bak dvi2ps-conf.h ; fi
	rm -rf lib

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/dvi2ps/usr DVI2PSLIB=$(CURDIR)/debian/dvi2ps/usr/lib/dvi2ps
#	$(MAKE) install-lib DESTDIR=$(CURDIR)/debian/dvi2ps
	rm -rf $(TXMFD)/fonts

	chmod +x debian/install-ja
	rm -f debian/dvi2ps/usr/share/texmf/dvi2ps/configk
#	make install-lprdvi DESTDIR=debian/dvi2ps
	install -m 755 lprdvi debian/dvi2ps/usr/bin
	install -m 644 tools/lprdvi.conf debian/dvi2ps/etc/texmf/dvi2ps
	install -c -m 755 tools/nup debian/dvi2ps/usr/bin
	install -c -m 755 tools/texfix debian/dvi2ps/usr/bin/texfix
	#-install -m 644 lib/PS600J \
	#		debian/dvi2ps/etc/texmf/dvi2ps/fontdesc
	install -m 644 debian/fontdesc $(ETCD)/fontdesc
	ln -sf /etc/texmf/dvi2ps/fontdesc $(TXMFD)/fontdesc
	install -m 644 lib-dist/configk $(ETCD)/configk
	ln -sf /etc/texmf/dvi2ps/configk $(TXMFD)/configk
	install -m 644 lib-dist/multex $(ETCD)/multex
	ln -sf /etc/texmf/dvi2ps/multex $(TXMFD)/multex
	install -m 644 doc/history doc/*.mf \
			debian/dvi2ps/usr/share/doc/dvi2ps
	for f in README doc/DOCS doc/*.doc; do \
		debian/install-ja $$f \
			debian/dvi2ps/usr/share/doc/dvi2ps/ja ;\
	done
	install -m 644 man/dvi2ps.man \
			debian/dvi2ps/usr/share/man/man1/dvi2ps.1
	debian/install-ja man/dvi2ps.jman \
			debian/dvi2ps/usr/share/man/ja/man1/dvi2ps.1
