=== debian/watch ===
version=4

https://www.math.s.chiba-u.ac.jp/~sakurai/software.html .*/tex/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
